/* CLI item list. */!!

inherit(Object, #CLIItemList, #(list  /* the actual list object */), 2, nil)!!

now(class(CLIItemList))!!

now(CLIItemList)!!

/* Add this object to the list. */
Def add(self, obj)
{ add(list, obj)
}!!
/* Initialize the item list with this object. */
Def init(self, anObj)
{ list := new(OrderedCollection, 8);
  add(list:OrderedCollection, anObj);
}!!

/* Initialize the item list with no object. */
Def initEmpty(self)
{ list := new(OrderedCollection, 1);
}!!

/* Return the list. */
Def list(self)
{ ^list
}!!

/* Return the size of the list. */
Def size(self)
{ ^size(list);
}!!
